FROM python:3.7.12

RUN apt update && apt install -y tor

COPY .env /project/.env
COPY share/ /project/share/
COPY conf_files/ /project/conf_files

COPY pysolrwrapper/ /project/pysolrwrapper
RUN pip install -r /project/pysolrwrapper/requirements.txt

COPY asynchron/ /project/asynchron
RUN pip3 install -r /project/asynchron/requirements.txt

ARG UID
RUN adduser --uid $UID --system  app
RUN usermod -aG sudo app
RUN mkdir -p /app/tmp
RUN chown app /app/tmp
USER app
ENV PYTHONPATH=/project/
ENTRYPOINT ["/project/asynchron/entrypoint.sh"]
